%define	semiver		1.14.3
%define	flimver		1.14.3
%define	emacsver	21.1
%define	xemacsver	21.4.5

%define	lispdir		%{_datadir}/emacs/site-lisp
%define pkgdir		%{_libdir}/xemacs/xemacs-packages
%define wlpixdir	%{_datadir}/pixmaps/wl


Summary: An IMAP4, POP, and NNTP client for GNU Emacs.
Name: wl
Version: 2.8.1
Release: 5
License: GPL
Group: Applications/Internet
URL: http://www.gohome.org/wl/
Source0: wl-%{version}.tar.bz2
Source1: wl-init.el
Patch1: wl-icon-dir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: emacs >= %{emacsver}, semi >= %{semiver}
BuildArch: noarch
Requires: emacs >= %{emacsver}, semi >= %{semiver}, wl-common = %{version}

%package xemacs
Summary: An IMAP4, POP, and NNTP client for XEmacs.
Requires: xemacs >= %{xemacsver}, semi-xemacs >= %{semiver}
Requires: wl-common = %{version}
BuildRequires: xemacs >= %{xemacsver}, semi-xemacs >= %{semiver}
Group: Applications/Internet


%package common
Summary: An IMAP4, POP, and NNTP client for XEmacs.
Group: Applications/Internet
PreReq(post,preun): /sbin/install-info


%description 
Wanderlust is an IMAP4, POP, and NNTP client on Emacsen. It is written
in 100% pure Emacs lisp, supports MIME (SEMI), and supports
Virtual/Archived/MH Local folders.

This package is for GNU Emacs. For XEmacs you need to install wl-xemacs.

%description xemacs
Wanderlust is IMAP4, POP, and NNTP client on Emacsen. It is written in
100% pure Emacs lisp, supports MIME (SEMI), and supports
Virtual/Archived/MH Local folders.

This package is for XEmacs.

%description common
Wanderlust is IMAP4, POP, and NNTP client on Emacsen. It is written in
100% pure Emacs lisp, supports MIME (SEMI), and supports
Virtual/Archived/MH Local folders.

This package contains the common files for wl and wl-xemacs.


%prep

%setup
%patch1 -p1 -b .icondir

%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{lispdir}/{wl/utils,site-start.d}
%{__mkdir_p} $RPM_BUILD_ROOT%{pkgdir}/lisp/wl/utils
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/info

################# wl (for GNU Emacs) #################

make LISPDIR=$RPM_BUILD_ROOT%{lispdir} PIXMAPDIR=$RPM_BUILD_ROOT%{wlpixdir}
make INFODIR=$RPM_BUILD_ROOT%{_datadir}/info info
make LISPDIR=$RPM_BUILD_ROOT%{lispdir} PIXMAPDIR=$RPM_BUILD_ROOT%{wlpixdir} install
make INFODIR=$RPM_BUILD_ROOT%{_datadir}/info install-info

for f in utils/*.el*; do \
	%{__install} -m 644 $f $RPM_BUILD_ROOT%{lispdir}/wl/utils ; done

%{__install} -m 644 %SOURCE1 $RPM_BUILD_ROOT%{lispdir}/site-start.d

make clean


################# wl-xemacs (for XEmacs) #################

make PACKAGEDIR=$RPM_BUILD_ROOT%{pkgdir} PIXMAPDIR=$RPM_BUILD_ROOT%{wlpixdir} \
	package
make PACKAGEDIR=$RPM_BUILD_ROOT%{pkgdir} PIXMAPDIR=$RPM_BUILD_ROOT%{wlpixdir} \
	install-package

for f in utils/*.el*; do \
	%{__install} -m 644 $f $RPM_BUILD_ROOT%{pkgdir}/lisp/wl/utils ; done

%post common
/sbin/install-info %{_infodir}/wl.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/wl-ja.info.gz %{_infodir}/dir

%preun common
/sbin/install-info --delete %{_infodir}/wl.info.gz %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/wl-ja.info.gz %{_infodir}/dir

%files
%defattr(-,root,root)
%{lispdir}/site-start.d/wl-init.el
%{lispdir}/wl

%files xemacs
%defattr(-,root,root)
%{pkgdir}/lisp/wl

%files common
%defattr(-,root,root)
%doc BUGS BUGS.ja COPYING ChangeLog
%doc %{_datadir}/info/*
%{wlpixdir}



%changelog
* Tue Mar 26 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-5
- do post and preun install-info for both info files for wl-common

* Mon Feb 25 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-4
- rebuild

* Wed Feb  6 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-3
- own our directories

* Wed Feb  6 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-2
- defattr root common file

* Tue Feb  5 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-1
- update to 2.8.1
- mode-line-mouse2-map patch no longer needed
- patch wl-vars.el to set wl-icon-directory to /usr/share/pixmaps/wl
- remember to clean buildroot

* Tue Oct 23 2001 Jens Petersen <petersen@redhat.com> - 2.6.0-1
- noarch, since xemacs available on ia64 now
- url is now homepage
- buildrequires emacs-21 instead of xemacs-X11-20
- wl-xemacs doesn't prereq install-info
- wl-common for pixmaps and docs
- patch for make-mode-line-mouse2-map
- just use install dirs for filelist

* Thu Sep  6 2001 Jens Petersen <petersen@redhat.com>
- update to 2.6.0

* Thu Aug 30 2001 SATO Satoru <ssato@redhat.com> - 2.4.1-6
- fixed the listing of the files to install (#51983, #51984)

* Mon Aug 13 2001 SATO Satoru <ssato@redhat.com> - 2.4.1-5
- remove the version which specified at BuildRequires
- ExcludeArch: ia64 (wl-xemacs)
- added the wl-xemacs' description (#51473)
- BuildRequires: emacs-X11 (! emacs)

* Wed Jul 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix group
- Add the info files to the info directory 
- Capitalize and improve summary
- Don't define version and release on top of file
- Don't have macros in description
- s/Copyright/License/

* Wed Jul 23 2001 SATO Satoru <ssato@redhat.com>
- fix [Build]Requires
- exclude ia64 (wl-xemacs)
- comment out (BuildArch: noarch)

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- 2.4.1pre
- clean up SPEC
- make multi-binarized (wl and wl-xemacs) 
- add PreReq

* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- added %%defattr(-,root,root)
- use the internal %%{version} macro instead of using our own %%{ver} definition

* Fri Aug 25 2000 Kazuhisa TAKEI<kazu@redhat.com>
- version 2.2.18
- for Redhat 7.0

* Wed Aug  4 1999 Kazuhisa TAKEI<ktakei@jaist.ac.jp>
- version 2.1.2
- emacs 20.4 base

* Sat May 15 1999 Kazuhisa TAKEI<ktakei@jaist.ac.jp>
- First build
